Subject: bug#13601: mv should not silently lose file extended attributes

From: Pádraig Brady <[email-masked]>
Date: Fri, 01 Feb 2013 00:25:52 +0000

On 01/31/2013 07:06 PM, [email-masked] wrote:
>
> When moving a file having extended attributes to a target filesystem which
> does not support them (e.g. an NFS mount), the attributes are silently
> lost.
>
> I think that mv should not complete the move in this case, as the current
> behaviour leads to silent and unexpected data loss.
>
> Ideally, this behaviour should be controlled by an option, but I think that
> the default should be to refuse to lose data.
>
> mv version: mv (GNU coreutils) 8.13
> Checked on Ubuntu 12.04 (probably not relevant).

The previous discussion on that was at:
http://lists.gnu.org/archive/html/bug-coreutils/2009-04/threads.html#00174
and the corresponding diagnostics supression patch at:
http://git.sv.gnu.org/gitweb/?p=coreutils.git;a=commit;h=941bd48

I'm inclined to agree there should be some diagnostics.
Perhaps we could output diagnostics as normal, but only
try the operation once that gives ENOTSUP?

thanks,
Pádraig.